[tool.poetry]
name = "hivle_motion_sensor"
version = "0.1.0"
description = "PIR motion sensor device to use with Hivle IoT infrastructure."
authors = ["Jakub Kozłowicz <ja.kozlowicz@gmail.com>"]
readme = "README.md"
license = "MIT"

[tool.poetry.dependencies]
python = "^3.9"
paho-mqtt = "^1.6.1"
adafruit-blinka = "^8.9.0"
adafruit-platformdetect = "^3.37.0"

[tool.poetry.group.dev.dependencies]
black = "^22.10.0"
pylint = "^2.15.5"
isort = "^5.10.1"
flake8 = "^5.0.4"
flake8-pyproject = "^1.1.0.post0"
pytest = "^7.1.3"
pytest-asyncio = "^0.19.0"
pytest-cov = "^3.0.0"
pytest-stub = "^1.1.0"


[tool.poetry.scripts]
hivle = "hivle_light_sensor.cli.cli:app"

[build-system]
requires = ["poetry-core>=1.2.0"]
build-backend = "poetry.core.masonry.api"

[tool.isort]
profile = "black"
src_paths = ["src", "tests"]
skip = [".gitignore"]
extend_skip = [".md", ".rst", ".json", ".txt"]
skip_glob = ["docs/*"]
line_length = 100
lines_after_imports = 2
lines_between_types = 1
force_alphabetical_sort_within_sections = true
force_sort_within_sections = true

[tool.black]
line-length = 100

[tool.pylint.basic]
ignored-modules = []
extension-pkg-allow-list = []
load-plugins = []

[tool.pylint.typecheck]
generated-members = []

[tool.pylint.format]
max-line-length = 100

[tool.pylint.similarities]
min-similarity-lines = 10

[tool.flake8]
exclude = ".venv"
max-line-length = 100
